//------------------------------------------------------------------------------
//  Description:  Header file for TI_MSP430_swif.c
//
//  MSP430/DAC161P997 Interface Code Library
//
//   Vishy Natarajan
//   Texas Instruments Inc.
//   January 2012
//   Built with CCE Version: 4.2 and IAR Embedded Workbench Version:  5.3x
//------------------------------------------------------------------------------
// Change Log:
//------------------------------------------------------------------------------
// Version:  1.00
// Comments: Initial Release Version
//------------------------------------------------------------------------------

#ifndef HEADER_FILE_TI_DAC161P997_SWIF_H
#define HEADER_FILE_TI_DAC161P997_SWIF_H


void TI_DAC161P997_SWIFSetup(void);
int8_t TI_DAC161P997_SWIFWriteReg(uint16_t, uint8_t);
int8_t TI_DAC161P997_SWIFReceiveACK(void);
void TI_DAC161P997_SWIFSendSymbol(uint8_t sym);


#endif                                                                         // HEADER_FILE_TI_DAC161P997_SWIF_H